| POST | /RestApi/translations/translate |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Ids | body | IEnumerable<Guid> | No | |
| ProjectData | body | CreateProject | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Title | form | string | No | |
| StartDate | form | DateTime? | No | |
| EndDate | form | DateTime? | No | |
| Description | form | string | No | |
| Connector | form | string | No | |
| PoReference | form | string | No | |
| ActualSourceLanguage | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/translate HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}